Renvoyer une facture avec une nouvelle échéance
curl --request POST \
--url https://api.pay.izichange.com/v1/invoices/{id}/resend \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dueDate": "2026-06-01T23:59:59Z"
}
'import requests
url = "https://api.pay.izichange.com/v1/invoices/{id}/resend"
payload = { "dueDate": "2026-06-01T23:59:59Z" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({dueDate: '2026-06-01T23:59:59Z'})
};
fetch('https://api.pay.izichange.com/v1/invoices/{id}/resend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"resent": true,
"expiresAt": {}
}Invoices
Renvoyer une facture avec une nouvelle échéance
Renvoie le courriel d’une facture en attente ou expirée en lui attribuant une nouvelle date d’échéance. Si dueDate n’est pas fourni, une fenêtre de 7 jours à partir de l’instant présent est appliquée par défaut. Refusé pour les factures déjà payées ou annulées.
POST
/
v1
/
invoices
/
{id}
/
resend
Renvoyer une facture avec une nouvelle échéance
Autorisations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Paramètres de chemin
Identifiant de la facture.
Corps
application/json
New ISO-8601 due date for the invoice
Exemple:
"2026-06-01T23:59:59Z"